明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1137|回复: 1

[提问] 导入EXCEL数据问题~求帮忙

[复制链接]
发表于 2014-3-13 15:55:56 | 显示全部楼层 |阅读模式
(defun GetCellValueAsList(excelFile sheetName RangeStr / xl wbs wb shs sh rg cs vvv nms nm ttt)
(vl-load-com)
(setq xl (vlax-get-or-create-object "Excel.Application"))
(setq wbs (vlax-get-property xl "WorkBooks"))
(setq wb (vlax-invoke-method wbs "open" excelFile))
(setq shs (vlax-get-property wb "Sheets"))
(setq sh (vlax-get-property shs "Item" sheetName))
(setq rg (vlax-get-property sh "Range" RangeStr))
(setq vvv (vlax-get-property rg 'Value))
(setq ttt (vlax-safearray->list (vlax-variant-value vvv)))
(vlax-invoke-method wb "Close" )
(vlax-invoke-method xl "Quit")
(vlax-release-object xl)
(setq ret ttt)
)
(defun getb()
(setq retV (GetCellValueAsList "C:\\aa2.xlsx" "Sheet1" "A3:E3"))
(princ)
)
最后怎么把retV的数据导入到list里?
如果用vlax-variant-value 代码该怎么写

发表于 2014-3-13 17:53:43 | 显示全部楼层
cons list append
随便你用,我胡说的,呵呵~~~
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2025-5-25 08:09 , Processed in 0.240623 second(s), 27 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表